# actionSubmitImage

## Purpose

Creates a submit button using the input type="image" with the indicated value. Javascript event handlers can be added using the same parameter names as in HTML.

## Examples

    <g:actionSubmitImage value="Update" action="update" src="${resource(dir:'images',file:'update.gif')}"/>

## Description

Attributes

- `value` - The title of the button and name of action when not explicitly defined
- `src` - The source of the image to use
- `action` (optional) - The name of the action to be executed

> You cannot use multiple actionSubmitImage tags within the same form and have it work in Internet Explorer 6 or 7 unless you add some custom JavaScript. See this page for a bit more information and a workaround.